	INTEGER FUNCTION DSTAT(WPROT, NODIS, LPS, REL)
C************************************************************
C
C  THIS FUNCTION IS USED TO RETURN A DISPLAY STATUS
C  WORD TO BE USED IN A CALL TO ADFILE. THIS DISPLAY
C  STATUS WORD AFFECTS THE CAPABILITIES OF THE DISPLAY WHEN
C  RESIDENT IN THE GT40. PARAMETERS ARE:
C
C	WPROT  - DISPLAY CANNOT BE DELETED
C	NODIS  - DISPLAY CANNOT BE DISABLED
C	LPS    - DISPLAY IS L.P. SENSITIVE
C	REL    - DISPLAY IS RELOCATABLE
C
C  WARNING:
C	WRITE-PROTECTED DISPLAYS WILL BE DELETED DURING A RESET
C
C  POSSIBLE ERRORS:
C	NONE
C
C  ROUTINES CALLED:
C	NONE
C
C************************************************************
	IMPLICIT INTEGER (D)
	IMPLICIT LOGICAL (A - C, E - Z)

	D = 0
	IF(WPROT) D = "20000
	IF(NODIS) D = D .OR. "10000
	IF(LPS) D = D .OR. "4000
	IF(REL) D = D .OR. "2000
	DSTAT = D
	RETURN
	END
